GET /goals/{goal_gid}/parentGoals

asana.com

Summary: Get parent goals from a goal
Operation ID: getParentGoalsForGoal
Auth: oauth2
Description

Returns a compact representation of all of the parent goals of a goal.

Parameters (3)

goal_gid (string, path, required)

Globally unique identifier for the goal.

opt_fields (array, query, optional)

Defines fields to return. Some requests return *compact* representations of objects in order to conserve resources and complete the request more efficiently. Other times requests return more information than you may need. This option allows you to list the exact set of fields that the API should be sure to return for the objects. The field names should be provided as paths, described below. The id of included objects will always be returned, regardless of the field options.

opt_pretty (boolean, query, optional)

Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.

No probe data for this endpoint yet.